# Class ZooTrace

java.lang.Object
org.apache.zookeeper.server.ZooTrace

public class ZooTrace extends Object
This class encapsulates and centralizes tracing for the ZooKeeper server. Trace messages go to the log with TRACE level.

Logback must be correctly configured to capture the TRACE messages.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`CLIENT_DATA_PACKET_TRACE_MASK`
Deprecated.
`static final long`
`CLIENT_PING_TRACE_MASK`
`static final long`
`CLIENT_REQUEST_TRACE_MASK`
`static final long`
`EVENT_DELIVERY_TRACE_MASK`
`static final long`
`JMX_TRACE_MASK`
Deprecated.
`static final long`
`SERVER_PACKET_TRACE_MASK`
`static final long`
`SERVER_PING_TRACE_MASK`
`static final long`
`SESSION_TRACE_MASK`
`static final long`
`WARNING_TRACE_MASK`

## Constructor Summary

Constructors
Constructor
Description
`ZooTrace()`

## Method Summary

Modifier and Type
Method
Description
`static long`
`getTextTraceLevel()`
`static boolean`
`isTraceEnabled(org.slf4j.Logger log, long mask)`
`static void`
`logQuorumPacket(org.slf4j.Logger log, long mask, char direction, QuorumPacket qp)`
`static void`
`logRequest(org.slf4j.Logger log, long mask, char rp, Request request, String header)`
`static void`
`logTraceMessage(org.slf4j.Logger log, long mask, String msg)`
`static void`
`setTextTraceLevel(long mask)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CLIENT_REQUEST_TRACE_MASK

public static final long CLIENT_REQUEST_TRACE_MASK

See Also:
  - Constant Field Values

### CLIENT_DATA_PACKET_TRACE_MASK

@Deprecated public static final long CLIENT_DATA_PACKET_TRACE_MASK
Deprecated.
this field is obsolete

See Also:
  - Constant Field Values

### CLIENT_PING_TRACE_MASK

public static final long CLIENT_PING_TRACE_MASK

See Also:
  - Constant Field Values

### SERVER_PACKET_TRACE_MASK

public static final long SERVER_PACKET_TRACE_MASK

See Also:
  - Constant Field Values

### SESSION_TRACE_MASK

public static final long SESSION_TRACE_MASK

See Also:
  - Constant Field Values

### EVENT_DELIVERY_TRACE_MASK

public static final long EVENT_DELIVERY_TRACE_MASK

See Also:
  - Constant Field Values

### SERVER_PING_TRACE_MASK

public static final long SERVER_PING_TRACE_MASK

See Also:
  - Constant Field Values

### WARNING_TRACE_MASK

public static final long WARNING_TRACE_MASK

See Also:
  - Constant Field Values

### JMX_TRACE_MASK

@Deprecated public static final long JMX_TRACE_MASK
Deprecated.
this field is obsolete

See Also:
  - Constant Field Values

## Constructor Details

### ZooTrace

public ZooTrace()

## Method Details

### getTextTraceLevel

public static long getTextTraceLevel()

### setTextTraceLevel

public static void setTextTraceLevel(long mask)

### isTraceEnabled

public static boolean isTraceEnabled(org.slf4j.Logger log, long mask)

### logTraceMessage

public static void logTraceMessage(org.slf4j.Logger log, long mask, String msg)

### logQuorumPacket

public static void logQuorumPacket(org.slf4j.Logger log, long mask, char direction, QuorumPacket qp)

### logRequest

public static void logRequest(org.slf4j.Logger log, long mask, char rp, Request request, String header)